org.richfaces.renderkit.html

## Class OrderingListRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.richfaces.renderkit.AbstractRowsRenderer
        - - org.richfaces.renderkit.OrderingComponentRendererBase
          - - org.richfaces.renderkit.OrderingListRendererBase
            - - org.richfaces.renderkit.html.OrderingListRenderer

- All Implemented Interfaces:
    org.ajax4jsf.model.DataVisitor, org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

      public class OrderingListRenderer
      extends OrderingListRendererBase

  Renderer for component class org.richfaces.renderkit.html.OrderingListRenderer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.richfaces.renderkit.OrderingComponentRendererBase

      `OrderingComponentRendererBase.ControlsHelper, OrderingComponentRendererBase.SelectionState`

  - ### Field Summary

    - ### Fields inherited from class org.richfaces.renderkit.OrderingListRendererBase

      `HELPERS`

    - ### Fields inherited from class org.richfaces.renderkit.OrderingComponentRendererBase

      `ATTRIBUTE_CE_ONHEADERCLICK, ATTRIBUTE_CONTROLS_TYPE, CONTROL_TYPE_BUTTON, CONTROL_TYPE_LINK, CONTROL_TYPE_NONE, SHOW_LABELS_ATTRIBUTE_NAME`

    - ### Fields inherited from class org.richfaces.renderkit.AbstractRowsRenderer

      `CELL_CLASS_KEY, ROW_CLASS_KEY, SKIN_CELL_CLASS_KEY, SKIN_FIRST_ROW_CLASS_KEY, SKIN_ROW_CLASS_KEY, TABLE_EVENT_ATTRS`

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderingListRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, UIOrderingList component, org.ajax4jsf.renderkit.ComponentVariables variables)`
    `void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, UIOrderingList component, org.ajax4jsf.renderkit.ComponentVariables variables)`
    `void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, UIOrderingList component, org.ajax4jsf.renderkit.ComponentVariables variables)`
    `protected java.lang.Class` | `getComponentClass()` Get base component class, targetted for this renderer.
    `boolean` | `getRendersChildren()`
    `protected org.ajax4jsf.resource.InternetResource[]` | `getScripts()`
    `protected org.ajax4jsf.resource.InternetResource[]` | `getStyles()`

    - ### Methods inherited from class org.richfaces.renderkit.OrderingListRendererBase

      `doDecode, encodeBegin, encodeControlsFacets, encodeOneRow, encodeRows, isHeaderExists`

    - ### Methods inherited from class org.richfaces.renderkit.OrderingComponentRendererBase

      `encodeCaption, encodeCaption, encodeCaption, encodeControlFacet, encodeHeader, encodeHeader, encodeHeaderFacets, getAsEventHandler, getCaptionDisplay, getClassesAsList, getColumnClassesAsJSArray, getConverter, getItemState, getRowClassesAsJSArray, isHeaderExists, renderDefaultControl`

    - ### Methods inherited from class org.richfaces.renderkit.AbstractRowsRenderer

      `doCleanup, encodeCaption, encodeCellChildren, encodeChildren, encodeRowEvents, encodeRows, encodeStyle, encodeStyleClass, encodeTableHeaderFacet, process`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrderingListRenderer

          public OrderingListRenderer()

  - ### Method Detail

    - #### getStyles

          protected org.ajax4jsf.resource.InternetResource[] getStyles()

      Overrides:
        `getStyles` in class `org.ajax4jsf.renderkit.HeaderResourcesRendererBase`

    - #### getScripts

          protected org.ajax4jsf.resource.InternetResource[] getScripts()

      Overrides:
        `getScripts` in class `org.ajax4jsf.renderkit.HeaderResourcesRendererBase`

    - #### getComponentClass

          protected java.lang.Class getComponentClass()

      Get base component class, targetted for this renderer. Used for check arguments in decode/encode.
      Overrides:
        `getComponentClass` in class `OrderingListRendererBase`
      Returns:

    - #### doEncodeBegin

          public void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                           javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)
                             throws java.io.IOException

      Overrides:
        `doEncodeBegin` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

    - #### doEncodeBegin

          public void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                           javax.faces.context.FacesContext context,
                           UIOrderingList component,
                           org.ajax4jsf.renderkit.ComponentVariables variables)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### doEncodeChildren

          public void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component)
                                throws java.io.IOException

      Overrides:
        `doEncodeChildren` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

    - #### doEncodeChildren

          public void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext context,
                              UIOrderingList component,
                              org.ajax4jsf.renderkit.ComponentVariables variables)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `OrderingListRendererBase`

    - #### doEncodeEnd

          public void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         UIOrderingList component,
                         org.ajax4jsf.renderkit.ComponentVariables variables)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### doEncodeEnd

          public void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                           throws java.io.IOException

      Overrides:
        `doEncodeEnd` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

Copyright © 2014. All Rights Reserved.